Commit d94b5e5f authored by Waqar Ahmed's avatar Waqar Ahmed Committed by Christoph Cullmann
Browse files

Remove KItemModels requirement from lsp

parent 3b1798db
Pipeline #136581 passed with stage
in 2 minutes and 42 seconds
find_package(KF5ItemModels ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5ItemModels PROPERTIES PURPOSE "Required to build the lspclient addon")
find_package(KF5SyntaxHighlighting ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5SyntaxHighlighting PROPERTIES PURPOSE "Required to build the lspclient addon")
if(NOT KF5ItemModels_FOUND OR NOT KF5SyntaxHighlighting_FOUND)
if(NOT KF5SyntaxHighlighting_FOUND)
return()
endif()
......@@ -15,7 +12,6 @@ target_link_libraries(
lspclientplugin
PRIVATE
KF5::I18n
KF5::ItemModels
KF5::TextEditor
KF5::SyntaxHighlighting
)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment